## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate oo7

Name:           rust-oo7
Version:        0.4.3
Release:        %autorelease
Summary:        Library to access freedesktop.org D-Bus Secret Service

License:        MIT
URL:            https://crates.io/crates/oo7
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
James Bond went on a new mission and this time as a Secret Service
provider.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-std-devel %{_description}

This package contains library source intended for building other packages which
use the "async-std" feature of the "%{crate}" crate.

%files       -n %{name}+async-std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+local_tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+local_tests-devel %{_description}

This package contains library source intended for building other packages which
use the "local_tests" feature of the "%{crate}" crate.

%files       -n %{name}+local_tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native_crypto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native_crypto-devel %{_description}

This package contains library source intended for building other packages which
use the "native_crypto" feature of the "%{crate}" crate.

%files       -n %{name}+native_crypto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl_crypto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl_crypto-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl_crypto" feature of the "%{crate}" crate.

%files       -n %{name}+openssl_crypto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tracing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tracing-devel %{_description}

This package contains library source intended for building other packages which
use the "tracing" feature of the "%{crate}" crate.

%files       -n %{name}+tracing-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests that depend on an active DBus session
# * run tests single-threaded to avoid race conditions
%cargo_test -- -- --test-threads 1 --skip 'dbus::'
%endif

%changelog
## START: Generated by rpmautospec
* Mon Jul 07 2025 Fabio Valentini <decathorpe@gmail.com> - 0.4.3-1
- Update to version 0.4.3; Fixes RHBZ#2345917

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 18 2024 Daiki Ueno <dueno@redhat.com> - 0.3.3-1
- Update to 0.3.3

* Tue Jun 18 2024 Daiki Ueno <dueno@redhat.com> - 0.3.2-1
- Initial import
## END: Generated by rpmautospec
